###############################################################################
# Copyright (c) 2000-2025 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Kovacs, Ferenc
#
###############################################################################
[LOGGING]
Logfile := "hexstrOper.log"
FileMask := LOG_ALL
ConsoleMask := TTCN_WARNING | TTCN_ERROR | TTCN_TESTCASE | TTCN_STATISTICS

[MODULE_PARAMETERS]
tsp_changedInit := '1234567890ABCDEF'H
tsp_changedInitConcat1 := '123'H
tsp_changedInitConcat1 := tsp_changedInitConcat1 & '45'H

tsp_changedInitConcat2 := '123'H
tsp_changedInitConcat2 &= '45'H
#This stops the execution but there isn't any feedback:
#tsp_changedInitConcat3 := tsp_changedInitConcat3 length(1)

[EXECUTE]
ThexstrOper
